%define upstream_name    Pod-Weaver-PluginBundle-AMD
%define upstream_version 4.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Document your modules like AMD does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is the the Pod::Weaver config I use for building my
documentation. I use it via Dist::Zilla::PluginBundle::AMD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.1.0-11.mga10
+ Revision: 2200363
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 4.1.0-10.mga9
+ Revision: 1805399
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.1.0-9.mga8
+ Revision: 1496783
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.1.0-8.mga7
+ Revision: 1270714
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.1.0-7.mga6
+ Revision: 1032336
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 4.1.0-6.mga6
+ Revision: 935033
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.0-5.mga5
+ Revision: 741664
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.0-4.mga5
+ Revision: 686032
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.0-3.mga4
+ Revision: 514351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.0-2.mga3
+ Revision: 372030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310162
- Fix
- Fix
- imported package perl-Pod-Weaver-PluginBundle-AMD


* Thu Oct 25 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
